CREATE TABLE hz_imp_addtnlpartynames_t (
    ADDTNLPARTYNAME_T_ID           NUMBER(18, 0) ,
    INTERFACE_ROW_ID               NUMBER(18, 0) ,
    BATCH_ID                       NUMBER(18, 0)     NOT NULL,
    PARTY_ORIG_SYSTEM              VARCHAR2(120) ,
    PARTY_ORIG_SYSTEM_REFERENCE    VARCHAR2(1020),
    ADDTNL_NAME_ORIG_SYSTEM        VARCHAR2(120) ,
    ADDTNL_NAME_ORIG_SYSTEM_REF    VARCHAR2(1020),
    INSERT_UPDATE_FLAG             VARCHAR2(4)   ,
    ACTION_FLAG                    VARCHAR2(4)   ,
    PARTY_ID                       NUMBER(18, 0) ,
    PARTY_TYPE                     VARCHAR2(120) ,
    PARTY_NAME_ID                  NUMBER(18, 0) ,
    PREFERRED_FLAG                 VARCHAR2(4)   ,
    GLOBAL_PREFERRED_FLAG          VARCHAR2(4)   ,
    PARTY_NAME_TYPE                VARCHAR2(120) ,
    PARTY_NAME                     VARCHAR2(1440),
    PERSON_TITLE                   VARCHAR2(240) ,
    PERSON_ACADEMIC_TITLE          VARCHAR2(120) ,
    PERSON_PRE_NAME_ADJUNCT        VARCHAR2(120) ,
    PERSON_FIRST_NAME              VARCHAR2(600) ,
    PERSON_MIDDLE_NAME             VARCHAR2(240) ,
    PERSON_LAST_NAME_PREFIX        VARCHAR2(120) ,
    PERSON_LAST_NAME               VARCHAR2(600) ,
    PERSON_SECOND_LAST_NAME        VARCHAR2(600) ,
    PERSON_PREVIOUS_LAST_NAME      VARCHAR2(600) ,
    PERSON_NAME_SUFFIX             VARCHAR2(120) ,
    TRANSLITERATION_LANG           VARCHAR2(16)  ,
    DESCRIPTION                    VARCHAR2(960) ,
    INTERFACE_STATUS               VARCHAR2(120) ,
    ERROR_ID                       NUMBER(18, 0) ,
    ATTRIBUTE_CATEGORY             VARCHAR2(120) ,
    ATTRIBUTE1                     VARCHAR2(600) ,
    ATTRIBUTE2                     VARCHAR2(600) ,
    ATTRIBUTE3                     VARCHAR2(600) ,
    ATTRIBUTE4                     VARCHAR2(600) ,
    ATTRIBUTE5                     VARCHAR2(600) ,
    ATTRIBUTE6                     VARCHAR2(600) ,
    ATTRIBUTE7                     VARCHAR2(600) ,
    ATTRIBUTE8                     VARCHAR2(600) ,
    ATTRIBUTE9                     VARCHAR2(600) ,
    ATTRIBUTE10                    VARCHAR2(600) ,
    ATTRIBUTE11                    VARCHAR2(600) ,
    ATTRIBUTE12                    VARCHAR2(600) ,
    ATTRIBUTE13                    VARCHAR2(600) ,
    ATTRIBUTE14                    VARCHAR2(600) ,
    ATTRIBUTE15                    VARCHAR2(600) ,
    ATTRIBUTE16                    VARCHAR2(600) ,
    ATTRIBUTE17                    VARCHAR2(600) ,
    ATTRIBUTE18                    VARCHAR2(600) ,
    ATTRIBUTE19                    VARCHAR2(600) ,
    ATTRIBUTE20                    VARCHAR2(600) ,
    ATTRIBUTE21                    VARCHAR2(600) ,
    ATTRIBUTE22                    VARCHAR2(600) ,
    ATTRIBUTE23                    VARCHAR2(600) ,
    ATTRIBUTE24                    VARCHAR2(600) ,
    ATTRIBUTE25                    VARCHAR2(600) ,
    ATTRIBUTE26                    VARCHAR2(600) ,
    ATTRIBUTE27                    VARCHAR2(600) ,
    ATTRIBUTE28                    VARCHAR2(600) ,
    ATTRIBUTE29                    VARCHAR2(600) ,
    ATTRIBUTE30                    VARCHAR2(1020),
    ATTRIBUTE_NUMBER1              NUMBER        ,
    ATTRIBUTE_NUMBER2              NUMBER        ,
    ATTRIBUTE_NUMBER3              NUMBER        ,
    ATTRIBUTE_NUMBER4              NUMBER        ,
    ATTRIBUTE_NUMBER5              NUMBER        ,
    ATTRIBUTE_NUMBER6              NUMBER        ,
    ATTRIBUTE_NUMBER7              NUMBER        ,
    ATTRIBUTE_NUMBER8              NUMBER        ,
    ATTRIBUTE_NUMBER9              NUMBER        ,
    ATTRIBUTE_NUMBER10             NUMBER        ,
    ATTRIBUTE_NUMBER11             NUMBER        ,
    ATTRIBUTE_NUMBER12             NUMBER        ,
    ATTRIBUTE_DATE1                DATE          ,
    ATTRIBUTE_DATE2                DATE          ,
    ATTRIBUTE_DATE3                DATE          ,
    ATTRIBUTE_DATE4                DATE          ,
    ATTRIBUTE_DATE5                DATE          ,
    ATTRIBUTE_DATE6                DATE          ,
    ATTRIBUTE_DATE7                DATE          ,
    ATTRIBUTE_DATE8                DATE          ,
    ATTRIBUTE_DATE9                DATE          ,
    ATTRIBUTE_DATE10               DATE          ,
    ATTRIBUTE_DATE11               DATE          ,
    ATTRIBUTE_DATE12               DATE          ,
    FILE_RECORD_NUM                NUMBER(10, 0) ,
    ACTION_CODE                    VARCHAR2(120) ,
    IMPORT_STATUS_CODE             VARCHAR2(120) ,
    FILE_NAME_SYSTASK_ID           NUMBER(18, 0) ,
    PARTY_NUMBER                   VARCHAR2(120) ,
    ADDTNLPARTYNAME_T_ID           NUMBER(18, 0) ,
    INTERFACE_ROW_ID               NUMBER(18, 0) ,
    BATCH_ID                       NUMBER(18, 0)     NOT NULL,
    PARTY_ORIG_SYSTEM              VARCHAR2(120) ,
    PARTY_ORIG_SYSTEM_REFERENCE    VARCHAR2(1020),
    ADDTNL_NAME_ORIG_SYSTEM        VARCHAR2(120) ,
    ADDTNL_NAME_ORIG_SYSTEM_REF    VARCHAR2(1020),
    INSERT_UPDATE_FLAG             VARCHAR2(4)   ,
    ACTION_FLAG                    VARCHAR2(4)   ,
    PARTY_ID                       NUMBER(18, 0) ,
    PARTY_TYPE                     VARCHAR2(120) ,
    PARTY_NAME_ID                  NUMBER(18, 0) ,
    PREFERRED_FLAG                 VARCHAR2(4)   ,
    GLOBAL_PREFERRED_FLAG          VARCHAR2(4)   ,
    PARTY_NAME_TYPE                VARCHAR2(120) ,
    PARTY_NAME                     VARCHAR2(1440),
    PERSON_TITLE                   VARCHAR2(240) ,
    PERSON_ACADEMIC_TITLE          VARCHAR2(120) ,
    PERSON_PRE_NAME_ADJUNCT        VARCHAR2(120) ,
    PERSON_FIRST_NAME              VARCHAR2(600) ,
    PERSON_MIDDLE_NAME             VARCHAR2(240) ,
    PERSON_LAST_NAME_PREFIX        VARCHAR2(120) ,
    PERSON_LAST_NAME               VARCHAR2(600) ,
    PERSON_SECOND_LAST_NAME        VARCHAR2(600) ,
    PERSON_PREVIOUS_LAST_NAME      VARCHAR2(600) ,
    PERSON_NAME_SUFFIX             VARCHAR2(120) ,
    TRANSLITERATION_LANG           VARCHAR2(16)  ,
    DESCRIPTION                    VARCHAR2(960) ,
    INTERFACE_STATUS               VARCHAR2(120) ,
    ERROR_ID                       NUMBER(18, 0) ,
    ATTRIBUTE_CATEGORY             VARCHAR2(120) ,
    ATTRIBUTE1                     VARCHAR2(600) ,
    ATTRIBUTE2                     VARCHAR2(600) ,
    ATTRIBUTE3                     VARCHAR2(600) ,
    ATTRIBUTE4                     VARCHAR2(600) ,
    ATTRIBUTE5                     VARCHAR2(600) ,
    ATTRIBUTE6                     VARCHAR2(600) ,
    ATTRIBUTE7                     VARCHAR2(600) ,
    ATTRIBUTE8                     VARCHAR2(600) ,
    ATTRIBUTE9                     VARCHAR2(600) ,
    ATTRIBUTE10                    VARCHAR2(600) ,
    ATTRIBUTE11                    VARCHAR2(600) ,
    ATTRIBUTE12                    VARCHAR2(600) ,
    ATTRIBUTE13                    VARCHAR2(600) ,
    ATTRIBUTE14                    VARCHAR2(600) ,
    ATTRIBUTE15                    VARCHAR2(600) ,
    ATTRIBUTE16                    VARCHAR2(600) ,
    ATTRIBUTE17                    VARCHAR2(600) ,
    ATTRIBUTE18                    VARCHAR2(600) ,
    ATTRIBUTE19                    VARCHAR2(600) ,
    ATTRIBUTE20                    VARCHAR2(600) ,
    ATTRIBUTE21                    VARCHAR2(600) ,
    ATTRIBUTE22                    VARCHAR2(600) ,
    ATTRIBUTE23                    VARCHAR2(600) ,
    ATTRIBUTE24                    VARCHAR2(600) ,
    ATTRIBUTE25                    VARCHAR2(600) ,
    ATTRIBUTE26                    VARCHAR2(600) ,
    ATTRIBUTE27                    VARCHAR2(600) ,
    ATTRIBUTE28                    VARCHAR2(600) ,
    ATTRIBUTE29                    VARCHAR2(600) ,
    ATTRIBUTE30                    VARCHAR2(1020),
    ATTRIBUTE_NUMBER1              NUMBER        ,
    ATTRIBUTE_NUMBER2              NUMBER        ,
    ATTRIBUTE_NUMBER3              NUMBER        ,
    ATTRIBUTE_NUMBER4              NUMBER        ,
    ATTRIBUTE_NUMBER5              NUMBER        ,
    ATTRIBUTE_NUMBER6              NUMBER        ,
    ATTRIBUTE_NUMBER7              NUMBER        ,
    ATTRIBUTE_NUMBER8              NUMBER        ,
    ATTRIBUTE_NUMBER9              NUMBER        ,
    ATTRIBUTE_NUMBER10             NUMBER        ,
    ATTRIBUTE_NUMBER11             NUMBER        ,
    ATTRIBUTE_NUMBER12             NUMBER        ,
    ATTRIBUTE_DATE1                DATE          ,
    ATTRIBUTE_DATE2                DATE          ,
    ATTRIBUTE_DATE3                DATE          ,
    ATTRIBUTE_DATE4                DATE          ,
    ATTRIBUTE_DATE5                DATE          ,
    ATTRIBUTE_DATE6                DATE          ,
    ATTRIBUTE_DATE7                DATE          ,
    ATTRIBUTE_DATE8                DATE          ,
    ATTRIBUTE_DATE9                DATE          ,
    ATTRIBUTE_DATE10               DATE          ,
    ATTRIBUTE_DATE11               DATE          ,
    ATTRIBUTE_DATE12               DATE          ,
    FILE_RECORD_NUM                NUMBER(10, 0) ,
    ACTION_CODE                    VARCHAR2(120) ,
    IMPORT_STATUS_CODE             VARCHAR2(120) ,
    FILE_NAME_SYSTASK_ID           NUMBER(18, 0) ,
    PARTY_NUMBER                   VARCHAR2(120) 
);
